<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              http://www.multidots.com/
 * @since             1.0.0
 * @package           Woocommerce_Order_Delivery_Date
 *
 * @wordpress-plugin
 * Plugin Name:       WooCommerce Order Delivery Date
 * Plugin URI:        multidots.com
 * Description:       Let your customers choose order delivery date on checkout page, as well as offer standard delivery time based on their shipping address.
 * Version:           1.1.0
 * Author:            multidots
 * Author URI:        http://www.multidots.com/
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       woocommerce-order-delivery-date
 * Domain Path:       /languages
 */
//Exit if accessed directly
if (!defined('ABSPATH'))
    exit;

if (!defined('WODD_PLUGIN_URL'))
    define('WODD_PLUGIN_URL', plugin_dir_url(__FILE__));

if (!defined('WCODD_PLUGIN_VERSION'))
    define('WCODD_PLUGIN_VERSION', '1.0.0');

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-woocommerce-order-delivery-date-activator.php
 */
function activate_woocommerce_order_delivery_date() {
    require_once plugin_dir_path(__FILE__) . 'includes/class-woocommerce-order-delivery-date-activator.php';
    Woocommerce_Order_Delivery_Date_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-woocommerce-order-delivery-date-deactivator.php
 */
function deactivate_woocommerce_order_delivery_date() {
    require_once plugin_dir_path(__FILE__) . 'includes/class-woocommerce-order-delivery-date-deactivator.php';
    Woocommerce_Order_Delivery_Date_Deactivator::deactivate();
}

register_activation_hook(__FILE__, 'activate_woocommerce_order_delivery_date');
register_deactivation_hook(__FILE__, 'deactivate_woocommerce_order_delivery_date');

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path(__FILE__) . 'includes/class-woocommerce-order-delivery-date.php';
require plugin_dir_path(__FILE__) . 'includes/class-woocommerce-order-delivery-date-constant.php';
//require_once plugin_dir_path(__FILE__) . 'includes/excelwriter.inc.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_woocommerce_order_delivery_date() {

    $plugin = new Woocommerce_Order_Delivery_Date();
    $plugin->run();
}

run_woocommerce_order_delivery_date();

function wodd_plugin_path() {

    return untrailingslashit(plugin_dir_path(__FILE__));
}
